package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TaShareActivity;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 拼团活动表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Mapper
public interface TaShareActivityMapper extends BaseMapper<TaShareActivity> {
    TaShareActivity selectTaShareActivityById(@Param("activityId")Integer activityId);

    void updateActivityToUnStart();

    void updateUnStartGroupActivity();

    void updateProcessGroupActivity();

    Integer calParticipateNum(@Param("groupActivityId") Integer groupActivityId);
}
